MarinerWrtGraphInternal::Token Struct Reference documentation

MarinerWrtGraphInternal::Token Struct Reference

Internal: the struct use to store a token entry. More...

## Public Member Functions
| Token ()
| constructor
bool | hasPictBorders () const
| return true if the picture has some border
void | addPictBorder (MWAWGraphicStyle &style) const
| add border properties

## Public Attributes
long | m_id [2]
| the token id and the graph? id
int | m_type
| the field type
int | m_highType
| the high byte of the field type
MWAWVec2i | m_dim
| the dimension
int | m_refType
| the zone to used type
uint32_t | m_refId
| the zone to used id
int | m_fieldType
| the field type
std::string | m_value
| the token value
MWAWEntry | m_pictData
| the picture data
long | m_pictId
| a picture id
long | m_valPictId
| a optional picture id
MWAWColor | m_pictBorderColor
| the pict border color
int | m_pictBorderType [4]
| the pict border type
float | m_pictBorderWidth [4]
| the pict border width
int | m_ruleType
| the rule type
int | m_rulePattern
| the rule pattern
bool | m_parsed
| true if the token has been send to a listener
std::string | m_extra
| some extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal: the struct use to store a token entry.

## Constructor & Destructor Documentation

## ◆ Token()

MarinerWrtGraphInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ addPictBorder()

void MarinerWrtGraphInternal::Token::addPictBorder | ( | MWAWGraphicStyle & | style | ) | const
| inline

add border properties

Referenced by MarinerWrtGraph::sendPicture().

## ◆ hasPictBorders()

bool MarinerWrtGraphInternal::Token::hasPictBorders | ( |  | ) | const
| inline

return true if the picture has some border

Referenced by addPictBorder(), and operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )
| friend

operator<<

## Member Data Documentation

## ◆ m_dim

MWAWVec2i MarinerWrtGraphInternal::Token::m_dim

the dimension

Referenced by operator<<, MarinerWrtGraph::readToken(), MarinerWrtGraph::sendPicture(), MarinerWrtGraph::sendRule(), and Token().

## ◆ m_extra

std::string MarinerWrtGraphInternal::Token::m_extra

some extra data

Referenced by operator<<, MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), and Token().

## ◆ m_fieldType

int MarinerWrtGraphInternal::Token::m_fieldType

the field type

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_highType

int MarinerWrtGraphInternal::Token::m_highType

the high byte of the field type

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_id

long MarinerWrtGraphInternal::Token::m_id[2]

the token id and the graph? id

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_parsed

bool MarinerWrtGraphInternal::Token::m_parsed
| mutable

true if the token has been send to a listener

Referenced by Token().

## ◆ m_pictBorderColor

MWAWColor MarinerWrtGraphInternal::Token::m_pictBorderColor

the pict border color

Referenced by addPictBorder(), operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_pictBorderType

int MarinerWrtGraphInternal::Token::m_pictBorderType[4]

the pict border type

Referenced by addPictBorder(), hasPictBorders(), operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_pictBorderWidth

float MarinerWrtGraphInternal::Token::m_pictBorderWidth[4]

the pict border width

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_pictData

MWAWEntry MarinerWrtGraphInternal::Token::m_pictData

the picture data

Referenced by MarinerWrtGraph::readToken(), MarinerWrtGraph::sendPicture(), and Token().

## ◆ m_pictId

long MarinerWrtGraphInternal::Token::m_pictId

a picture id

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_refId

uint32_t MarinerWrtGraphInternal::Token::m_refId

the zone to used id

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_refType

int MarinerWrtGraphInternal::Token::m_refType

the zone to used type

Referenced by operator<<, MarinerWrtGraph::readToken(), and Token().

## ◆ m_rulePattern

int MarinerWrtGraphInternal::Token::m_rulePattern

the rule pattern

Referenced by operator<<, MarinerWrtGraph::readTokenBlock0(), MarinerWrtGraph::sendRule(), and Token().

## ◆ m_ruleType

int MarinerWrtGraphInternal::Token::m_ruleType

the rule type

Referenced by operator<<, MarinerWrtGraph::readTokenBlock0(), MarinerWrtGraph::sendRule(), and Token().

## ◆ m_type

int MarinerWrtGraphInternal::Token::m_type

the field type

Referenced by operator<<, MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), and Token().

## ◆ m_valPictId

long MarinerWrtGraphInternal::Token::m_valPictId

a optional picture id

Referenced by operator<<, MarinerWrtGraph::readTokenBlock0(), and Token().

## ◆ m_value

std::string MarinerWrtGraphInternal::Token::m_value

the token value

Referenced by operator<<, MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), and Token().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx